Subject: [PATCH} include/asm-ppc/cpu2.h typo

From: "Mark A. Greer" <[email-masked]>
Date: Tue, 22 Feb 2005 16:32:33 -0700

Hi,

This bug/typo was pointed out to me.  I looked at the 8260 & 8272 
manuals and it should be 0x0002 in both cases.  I don't work with the 
82[67]x processors but it looks like this would have quickly bit anyone 
trying even parity on their serial line.  Nobody uses even parity on 
those platforms?  Is there something I don't know (and the manual isn't 
telling me)?

Mark
diff -Nru a/include/asm-ppc/cpm2.h b/include/asm-ppc/cpm2.h
--- a/include/asm-ppc/cpm2.h	2005-02-22 16:26:07 -07:00
+++ b/include/asm-ppc/cpm2.h	2005-02-22 16:26:07 -07:00
@@ -531,7 +531,7 @@
 #define SCU_PSMR_RPM		((ushort)0x000c)
 #define SCU_PSMR_REVP		((ushort)0x0008)
 #define SCU_PSMR_TPM		((ushort)0x0003)
-#define SCU_PSMR_TEVP		((ushort)0x0003)
+#define SCU_PSMR_TEVP		((ushort)0x0002)
 
 /* CPM Transparent mode SCC.
  */